<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_9</title>
</head>
<body>
    <h1>Ejercicio 9</h1>

    <script>
        
    const copyArray = ( array ) => {
        let copyarray = new Array(array.length);
        for (var value = 0; value < array.length; value++) {
            copyArray = appendtoNew(copyArray, value);
        }
        return copyarray
    }

    const appendtoNew = ( array, value ) => {
        //copy all elements over to new array
        let bigger = new Array(array.length + 1);
        for (var i = 0; i < array.length; i++) {
            bigger[i] = array[i];
        }

        //add new element
        bigger[bigger.length - 1] = value;
        return bigger;
    }


    let copiar = [1,2,3,4,5,6,7];
        console.log(copiar);

    </script>
    
</body>
</html>